MARTe2-core - User story #248

Windows UDP socket
20.10.2015 11:19 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

#246 is also reviewed here

Implement the Windows UDP socket stream based on the previous MARTe implementation.

Source code files modified

)

Source/Core/BareMetal/L1Portability/Environment/Windows/HighResolutionTimer.h
Source/Core/BareMetal/L1Portability/Environment/Windows/HighResolutionTimerCalibrator.cpp
Source/Core/BareMetal/L1Portability/Environment/Windows/Makefile.inc
Source/Core/BareMetal/L1Portability/Environment/Windows/TimeStamp.cpp
Source/Core/BareMetal/L1Portability/Makefile.inc
Source/Core/BareMetal/L1Portability/TimeStamp.h
Source/Core/BareMetal/L20bjects/Any Type.cpp
Source/Core/BareMetal/L20bjects/AnyType.h
Source/Core/BareMetal/L20bjects/StructuredDatal.h
Source/Core/BareMetal/L4Configuration/AnyObject.cpp
Source/Core/BareMetal/L4Configuration/AnyObject.h
Source/Core/BareMetal/L4Configuration/ConfigurationDatabase.cpp
Source/Core/BareMetal/L4Configuration/ConfigurationDatabase.h
Source/Core/BareMetal/L4Configuration/Makefile.msc
Source/Core/BareMetal/L4Configuration/TypeConversion.cpp
Source/Core/BareMetal/L4Configuration/TypeConversion.h
Source/Core/BareMetal/Makefile.msc
Source/Core/FileSystem/L1Portability/BasicSocket.h
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicUDPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/InternetHost.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/InternetHostCore.h
Source/Core/FileSystem/L1Portability/Environment/Windows/InternetService.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/InternetServiceCore.h
Source/Core/FileSystem/L1Portability/Environment/Windows/Makefile.msc
Source/Core/FileSystem/L1Portability/Environment/Windows/SocketCore.h
Source/Core/FileSystem/L1Portability/Environment/Windows/SocketSelect.cpp
Source/Core/FileSystem/L1Portability/Makefile.msc
Source/Core/FileSystem/Makefile.msc
Test/Core/BareMetal/LOTypes/MatrixTest.cpp
Test/Core/BareMetal/L1Portability/HeapManagerTest.cpp
Test/Core/BareMetal/L4Configuration/Makefile.msc
Test/Core/BareMetal/L4Configuration/TypeConversionTest.cpp
Test/Core/BareMetal/L4Configuration/TypeConversionTest.h
Test/Core/BareMetal/Makefile.msc

Test/Core/FileSystem/L1Portability/Makefile.inc
Test/GTest/BasicTCPSocketGTest.cpp

Test/GTest/Makefile.inc

Test/GTest/TypeConversionGTest.cpp
https://vcis-redmine.f4e.europa.eu/issues/246

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 01/12/2015

Person who did the review: Andre Neto

Result of review: PASS (but see List of non-conformities and create user-story to implement the required documentation)
List of non-conformities: N/A.

¢ Documentation of LocalHostInfo in InternetHost.cpp is missing both in Linux and Windows

Unit test review

Date of the review: 01/12/2015
Person who did the review: Andre Neto
Result of coverage tests review: N/A
Result of functional tests review: PASS
Result of review: PASS
List of non-conformities:
¢ |t is not clear if the HeapManager.TestFreelnvalidPointer crashes in Windows (a user-story to handle this has to be created)

The following list of tests (unrelated to this user-story fail):

FAILED ]9 tests, listed below:

FAILED ] BasicFileGTest.TestOpen_FLAG_CREAT_EXCLUSIVE
FAILED ] ThreadsGTest.TestBeginThreadStacksize0

FAILED ] MutexSemGTest.TestlsRecursive

FAILED ] MutexSemGTest.TestRecursiveOff

FAILED ] LoadableLibraryGTest.TestOpenCloseLibrary

FAILED ] LoadableLibraryGTest.TestCloseLibrary

FAILED ] LoadableLibraryGTest.TestLoadFunction

FAILED ] LoadableLibraryGTest.TestLoadFunctionSquareBracketsOperator
FAILED ] LoadableLibraryGTest.TestGetModule

——— — — e — e ——

Associated revisions

Revision 2f75b4a2 - 18.11.2015 18:20 - André Neto
#248_ Windows_UDP_socket.

Revision 3907a310 - 01.12.2015 10:52 - André Neto
#248 TCP implementation performd in the UDP branch and complete.

Revision ba7e89f8 - 01.12.2015 11:30 - André Neto

Merge remote-tracking branch 'origin/develop' into
#248 Windows_UDP_socket
Conflicts:
Source/Core/FileSystem/L1Portability/BasicSocket.h

Source/Core/FileSystem/L1Portability/Environment/Windows/BasicFile.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicFileProperties.h
Source/Core/FileSystem/L1Portability/Environment/Windows/Makefile.inc
Source/Core/FileSystem/L1Portability/Environment/Windows/Makefile.msc

Source/Core/FileSystem/L1Portability/Makefile.msc
Source/Core/FileSystem/Makefile.inc
Source/Core/FileSystem/Makefile.msc
Test/Core/FileSystem/L1Portability/BasicFileTest.cpp
Test/GTest/Makefile.inc

Test/GTest/Makefile.msc

Revision 5a9f077f - 01.12.2015 18:24 - André Neto

#248 Ready to be merged in develop (revision performed by Andre)

Revision 0fa2f6aa - 02.12.2015 10:18 - André Neto
Merging of #248 into develop.

Merging of the Windows TCP and UDP socket implementation into develop.

Bug solved on the InternetHostTest.cpp

History

#1 - 23.10.2015 13:21 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:22 - André Neto

- Description updated

#3 - 23.10.2015 13:28 - André Neto

- Target version set to 0.7

#4 - 10.11.2015 17:37 - André Neto

- Target version changed from 0.7 to 0.8

#5 - 10.11.2015 18:06 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 10.11.2015 18:08 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#7 - 10.11.2015 18:10 - Riccardo Vitelli

- Assignee set to Frank Perez

#8 - 27.11.2015 15:33 - André Neto

- Target version changed from 0.8 to 0.9

#9 - 01.12.2015 18:25 - André Neto
- Status changed from Code: Impl to Code: Rev

#10 - 01.12.2015 18:32 - André Neto
- Description updated

- Assignee changed from Frank Perez to André Neto

#11 - 01.12.2015 18:32 - André Neto

- Status changed from Code: Rev to Unit: Rev

#12 - 01.12.2015 18:32 - André Neto
- Assignee deleted (André Neto)
#13 - 02.12.2015 10:19 - André Neto
Merged in develop in commit Ofa2f6aale5ecd6d3163b0e6b180bc9895a66961

#14 - 02.12.2015 10:19 - André Neto
- Status changed from Unit: Rev to Closed
